%define module	django-easy-thumbnails

Name:		python-%{module}
Version:	2.8.1
Release:	%mkrel 3
Summary:	A powerful, yet easy to implement thumbnailing application for Django
License:	BSD
Group:		Development/Python
URL:		https://pypi.python.org/pypi/easy-thumbnails/
Source0:	https://pypi.io/packages/source/e/easy-thumbnails/easy-thumbnails-%{version}.tar.gz
BuildArch:	noarch

%description
A powerful, yet easy to implement thumbnailing application for Django.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	A powerful, yet easy to implement thumbnailing application for Django
Group:		Development/Python
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
A powerful, yet easy to implement thumbnailing application for Django.

#---------------------------------------------------------------------------

%prep
%setup -q -n easy-thumbnails-%{version}

# Remove bundled egg-info
rm -rf easy_thumbnails.egg-info

# fix rpmlint warning: wrong-file-end-of-line-encoding
sed -i 's/\r$//' README.rst

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc README.rst CHANGES.rst docs/
%{python3_sitelib}/easy_thumbnails/
%{python3_sitelib}/easy_thumbnails-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Jun 24 2022 papoteur <papoteur> 2.8.1-3.mga9
+ Revision: 1865918
- Mass Rebuild for dependencies

* Wed Mar 23 2022 umeabot <umeabot> 2.8.1-2.mga9
+ Revision: 1823867
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 2.8.1-1.mga9
+ Revision: 1785148
- version 2.8.1
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 2.7.1-1.mga9
+ Revision: 1707663
- new version: 2.7.1
- rebuild for python 3.9

* Tue Jul 14 2020 daviddavid <daviddavid> 2.7-1.mga8
+ Revision: 1606025
- new version: 2.7

* Sun Feb 16 2020 umeabot <umeabot> 2.6-4.mga8
+ Revision: 1531852
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 2.6-3.mga8
+ Revision: 1441328
- rebuild for python3.8

* Wed Aug 21 2019 wally <wally> 2.6-2.mga8
+ Revision: 1430835
- drop python2 support

* Fri Mar 01 2019 daviddavid <daviddavid> 2.6-1.mga7
+ Revision: 1370912
- new version: 2.6

* Fri Jan 11 2019 daviddavid <daviddavid> 2.5-3.mga7
+ Revision: 1354924
- rebuild for new Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.5-2.mga7
+ Revision: 1288685
- Mageia 7 Mass Rebuild

* Sun Jan 07 2018 daviddavid <daviddavid> 2.5-1.mga7
+ Revision: 1191252
- new version: 2.5
- rename python-django-easy-thumbnails to python2-django-easy-thumbnails

* Sat Aug 05 2017 pterjan <pterjan> 2.3-3.mga7
+ Revision: 1135378
- Rebuild for python 3.6
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Dec 12 2015 daviddavid <daviddavid> 2.3-1.mga6
+ Revision: 909630
- new version: 2.3

* Thu Nov 12 2015 daviddavid <daviddavid> 2.2.1-1.mga6
+ Revision: 902710
- new version: 2.2.1

* Wed Oct 07 2015 daviddavid <daviddavid> 2.2-2.mga6
+ Revision: 886807
- rebuild for python 3.5
- use new python macros

* Sun Jun 21 2015 daviddavid <daviddavid> 2.2-1.mga6
+ Revision: 837973
- new version: 2.2

* Wed Oct 15 2014 umeabot <umeabot> 2.1-4.mga5
+ Revision: 744223
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.1-3.mga5
+ Revision: 728280
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.1-2.mga5
+ Revision: 687976
- Mageia 5 Mass Rebuild

* Thu Aug 14 2014 daviddavid <daviddavid> 2.1-1.mga5
+ Revision: 662443
- add available docs folder
- new version: 2.1

* Sat May 31 2014 pterjan <pterjan> 1.4-3.mga5
+ Revision: 628560
- Rebuild for new Python

* Tue Apr 22 2014 daviddavid <daviddavid> 1.4-2.mga5
+ Revision: 617355
- remove unneeded provides package (thanks philippem)

* Mon Apr 21 2014 daviddavid <daviddavid> 1.4-1.mga5
+ Revision: 617233
- add support of python 3
- imported package python-django-easy-thumbnails

